%global _empty_manifest_terminate_build 0
%global pypi_name pycryptodome
%global common_description PyCryptodome is a self-contained Python package of low-level\
cryptographic primitives.\
It supports Python 2.6 and 2.7, Python 3.4 and newer, and PyPy.\
You can install it with::\
    pip install pycryptodome\
All modules are installed under the ``Crypto`` package.\
Check the pycryptodomex_ project for the equivalent library that\
works under the ``Cryptodome`` package.\
PyCryptodome is a fork of PyCrypto. It brings several enhancements\
with respect to the last official version of PyCrypto (2.6.1),\
for instance:\
* Authenticated encryption modes (GCM, CCM, EAX, SIV, OCB)\
* Accelerated AES on Intel platforms via AES-NI\
* First class support for PyPy\
* Elliptic curves cryptography (NIST P-256, P-384 and P-521 curves only)\
* Better and more compact API (`nonce` and `iv` attributes for ciphers,\
  automatic generation of random nonces and IVs, simplified CTR cipher mode,\
  and more)\
* SHA-3 (including SHAKE XOFs) and BLAKE2 hash algorithms\
* Salsa20 and ChaCha20 stream ciphers\
* scrypt and HKDF\
* Deterministic (EC)DSA\
* Password-protected PKCS#8 key containers\
* Shamir's Secret Sharing scheme\
* Random numbers get sourced directly from the OS (and not from a CSPRNG in userspace)\
* Simplified install process, including better support for Windows\
* Cleaner RSA and DSA key generation (largely based on FIPS 186-4)\
* Major clean ups and simplification of the code base\
PyCryptodome is not a wrapper to a separate C library like *OpenSSL*.\
To the largest possible extent, algorithms are implemented in pure Python.\
Only the pieces that are extremely critical to performance (e.g. block ciphers)\
are implemented as C extensions.\
For more information, see the `homepage`_.\
All the code can be downloaded from `GitHub`_.\

Name:		python-pycryptodome
Version:	3.9.7
Release:	8
Summary:	Cryptographic library for Python
License:	BSD, Public Domain, Apache-2.0
URL:		https://www.pycryptodome.org
Source0:	https://files.pythonhosted.org/packages/69/2a/298b2689bee8e88c502c7e85ba1c9f07c7e182ea91c705c449f693056c9f/pycryptodome-3.9.7.tar.gz

%description
%{common_description}

%package -n python2-%{pypi_name}
Summary:	Cryptographic library for Python2
Obsoletes:      python2-crypto
Conflicts:      python2-crypto <= 2.6.1
BuildRequires:	python2-devel
BuildRequires:	python2-setuptools
BuildRequires:	python2-cffi
BuildRequires:	gcc
BuildRequires:	gdb

%description -n python2-%{pypi_name}
%{common_description}

%package -n python3-%{pypi_name}
Summary:	Cryptographic library for Python3
Provides:	python-%{pypi_name}
Obsoletes:      python3-crypto
Conflicts:      python3-crypto <= 2.6.1
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:	gdb

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%doc AUTHORS.rst Changelog.rst README.rst
%license LICENSE.rst
%{python2_sitearch}/Crypto
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc AUTHORS.rst Changelog.rst README.rst
%license LICENSE.rst
%{python3_sitearch}/Crypto
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%exclude %{python3_sitearch}/Crypto/SelfTest/Publickey/test_vectors/ECC/*.pem
%exclude %{python3_sitearch}/Crypto/SelfTest/Publickey/test_vectors/ECC/*.der
%exclude %{python3_sitearch}/Crypto/SelfTest/Publickey/test_vectors/RSA/*.pem

%changelog
* Thu Jun 10 2021 liudabo <liudabo1@huawei.com> - 3.9.7-8
- Refresh the original the original certificate file and delete the insercure certificates

* Fri Mar 26 2021 shixuantong <shixuantong@huawei.com> - 3.9.7-7
- fix installation conflicts with python-crypto

* Wed Mar 17 2021 herengui <herengui@uniontech.com> - 3.9.7-6
- Fix the problem that the description content is not displayed in the python package

* Tue Mar 03 2021 shixuantong <shixuantong@huawei.com> - 3.9.7-5
- fix Apache license error in spec file

* Tue Nov 10 2020 shixuantong <shixuantong@huawei.com> - 3.9.7-4
- add python2-pycryptodome

* Mon Oct 26 2020 shixuantong <shixuantong@huawei.com> - 3.9.7-3
- Adding the source code package and spec file
- remove python2-pycryptodome

* Sun Oct 18 2020 shanzhikun <shanzhikun@huawei.com> - 3.9.7-2
- build python2-pycryptodome.

* Wed May 20 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
